# Uses of Interface
org.eclipse.draw2d.FocusListener

Packages that use FocusListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of FocusListener in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement FocusListener
Modifier and Type
Class
Description
`static class`
`FocusListener.Stub`
An empty implementation of FocusListener for convenience.
Methods in org.eclipse.draw2d with parameters of type FocusListener
Modifier and Type
Method
Description
`void`
Figure.`addFocusListener(FocusListener listener)`
`void`
IFigure.`addFocusListener(FocusListener listener)`
Registers the given listener as a FocusListener of this figure.
`void`
Figure.`removeFocusListener(FocusListener listener)`
`void`
IFigure.`removeFocusListener(FocusListener listener)`
Unregisters the given listener, so that it will no longer receive notification of focus events.